package com.ruoyi.project.patrol.dev.mapper;

import com.ruoyi.project.patrol.dev.domain.TDevAnnihilator;

import java.util.List;

/**
 * 灭火器材Mapper接口
 *
 * @author ruoyi
 * @date 2023-08-28
 */
public interface TDevAnnihilatorMapper
{
    /**
     * 查询灭火器材
     *
     * @param id 灭火器材主键
     * @return 灭火器材
     */
    public TDevAnnihilator selectTDevAnnihilatorById(Long id);
    public List<TDevAnnihilator> selectTDevAnnihilatorNum();

    /**
     * 查询灭火器材列表
     *
     * @param tDevAnnihilator 灭火器材
     * @return 灭火器材集合
     */
    public List<TDevAnnihilator> selectTDevAnnihilatorList(TDevAnnihilator tDevAnnihilator);

    /**
     * 新增灭火器材
     *
     * @param tDevAnnihilator 灭火器材
     * @return 结果
     */
    public int insertTDevAnnihilator(TDevAnnihilator tDevAnnihilator);

    /**
     * 修改灭火器材
     *
     * @param tDevAnnihilator 灭火器材
     * @return 结果
     */
    public int updateTDevAnnihilator(TDevAnnihilator tDevAnnihilator);

    /**
     * 删除灭火器材
     *
     * @param id 灭火器材主键
     * @return 结果
     */
    public int deleteTDevAnnihilatorById(Long id);

    /**
     * 批量删除灭火器材
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTDevAnnihilatorByIds(Long[] ids);
}
